
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef JLOCO_PRINTXML_H
#define JLOCO_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/pomPrintXML.h"

#include "server/genPosPrintXML.h"


#include "jlocoPosterLib.h"

/* Prototypes */
extern void printXML_struct_JLOCO_STATUS_POSTER_STR ( FILE *out, char *name,
     struct JLOCO_STATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_JLOCO_MEPOS_POSTER_STR ( FILE *out, char *name,
     struct JLOCO_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_JLOCO_STR ( FILE *out, char *name,
     struct JLOCO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_JLOCO_MODE ( FILE *out, char *name,
     enum JLOCO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_JLOCO_ODO_CORRECTION ( FILE *out, char *name,
     struct JLOCO_ODO_CORRECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_JLOCO_VAR_PARAMS ( FILE *out, char *name,
     struct JLOCO_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_JLOCO_NAME ( FILE *out, char *name,
     struct JLOCO_NAME *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_JLOCO_NAME ( FILE *out, char *name,
     JLOCO_NAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_JLOCO_VAR_PARAMS ( FILE *out, char *name,
     JLOCO_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_JLOCO_ODO_CORRECTION ( FILE *out, char *name,
     JLOCO_ODO_CORRECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_JLOCO_MODE ( FILE *out, char *name,
     JLOCO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_JLOCO_STR ( FILE *out, char *name,
     JLOCO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_JLOCO_MEPOS_POSTER_STR ( FILE *out, char *name,
     JLOCO_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_JLOCO_STATUS_POSTER_STR ( FILE *out, char *name,
     JLOCO_STATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* JLOCO_PRINT_XML_H */

